> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Client Connection Oauth



## OpenAPI

````yaml /api-reference/openapi.json post /v1/public/client-connection-requests/{request_id}/oauth/start
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/public/client-connection-requests/{request_id}/oauth/start:
    post:
      tags:
        - Public Client Connections
      summary: Start Client Connection Oauth
      operationId: >-
        start_client_connection_oauth_v1_public_client_connection_requests__request_id__oauth_start_post
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Request Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAuthStartRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthStartResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OAuthStartRequest:
      properties:
        client_id:
          anyOf:
            - type: string
              maxLength: 16384
            - type: 'null'
          title: Client Id
        client_secret:
          anyOf:
            - type: string
              maxLength: 16384
            - type: 'null'
          title: Client Secret
        props:
          additionalProperties: true
          type: object
          title: Props
      type: object
      title: OAuthStartRequest
    OAuthStartResponse:
      properties:
        authorization_url:
          type: string
          title: Authorization Url
      type: object
      required:
        - authorization_url
      title: OAuthStartResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.